#!/bin/sh

set -x

printenv GNUPG_IMPORT | gpg --import --import-options import-show

for fingerprint in $(gpg --list-keys --with-colons | grep '^fpr:' | cut -d ':' -f 10); do
    echo -e '5\ny\n' | gpg --command-fd 0 --batch --edit-key $fingerprint trust
done

exec socat -d -d -T4 tcp-l:6156,fork "exec:gpgit $RECIPIENTS"
